Package com.sas.lsaf.content.repository

## Class RepositorySharedFolder

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.content.repository.RepositoryItem
    - - com.sas.lsaf.content.repository.RepositoryContainer
      - - com.sas.lsaf.content.repository.RepositoryFolder
        - - com.sas.lsaf.content.repository.RepositorySharedFolder

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class RepositorySharedFolder
      extends RepositoryFolder

  Shared folder representation within the repository. Shared folders can contain other repository folders and files.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.content.repository.RepositoryItem

      `RepositoryItem.State, RepositoryItem.Syncable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositorySharedFolder​(java.lang.String typeId, java.lang.String id, java.lang.String name, java.lang.String path, long revision, RepositoryItem.State state, java.lang.String createdBy, java.util.Date created, java.lang.String lastModifiedBy, java.util.Date lastModified, java.lang.String propertiesLastModifiedBy, java.util.Date propertiesLastModified, java.lang.String description, RepositoryItem.Syncable syncable, java.util.List<Attribute> attributes, VersionLimits defaultVersionLimits)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.content.repository.RepositoryFolder

      `equals, hashCode`

    - ### Methods inherited from class com.sas.lsaf.content.repository.RepositoryContainer

      `getDefaultVersionLimits, setDefaultVersionLimits`

    - ### Methods inherited from class com.sas.lsaf.content.repository.RepositoryItem

      `getAttributes, getCreated, getCreatedBy, getDescription, getLastModified, getLastModifiedBy, getName, getPath, getPropertiesLastModified, getPropertiesLastModifiedBy, getRevision, getState, getSyncable, setAttributes, setDescription, setSyncable`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositorySharedFolder

          public RepositorySharedFolder​(java.lang.String typeId,
                                        java.lang.String id,
                                        java.lang.String name,
                                        java.lang.String path,
                                        long revision,
                                        RepositoryItem.State state,
                                        java.lang.String createdBy,
                                        java.util.Date created,
                                        java.lang.String lastModifiedBy,
                                        java.util.Date lastModified,
                                        java.lang.String propertiesLastModifiedBy,
                                        java.util.Date propertiesLastModified,
                                        java.lang.String description,
                                        RepositoryItem.Syncable syncable,
                                        java.util.List<Attribute> attributes,
                                        VersionLimits defaultVersionLimits)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the repository shared folder objects returned by the API.
      Parameters:
        `typeId` - The object type identifier of the repository shared folder.
        `id` - The unique identifier of the folder.
        `name` - The name of the folder.
        `path` - The full path to the folder in the repository, which includes the name.
        `revision` - The internally managed revision number of the repository folder.
        `state` - The current state of the repository folder.
        `createdBy` - The user who created the repository folder.
        `created` - The date on which the repository folder was created.
        `lastModifiedBy` - The user who last modified the repository folder's content.
        `lastModified` - The date on which the repository folder's content was last modified.
        `propertiesLastModifiedBy` - The user who last modified the repository folder's properties.
        `propertiesLastModified` - The date on which the repository folder's properties were last modified.
        `description` - The description of the folder.
        `syncable` - Indicates whether the folder can be copied to the user's workspace.
        `attributes` - The extended attributes that are defined on the repository folder.
        `defaultVersionLimits` - The default version limits for new versioned files that are added to the container.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `RepositoryFolder`